# Slick Entity Reference

## Table of contents
- Introduction
- Features
- Requirements
- Installation and configuration
- Similar modules
- Maintainer
- Credits

## Introduction
The **Slick Entity Reference** module provides a field formatter for
[Entity reference](https://www.drupal.org/project/entityreference) and
[Entity Reference Revisions](https://www.drupal.org/project/entity_reference_revisions)
fields to display entities as Slick Carousel items.  
This allows richer slideshow/carousel content as you can reference whole
entities and also customize their display modes.

## Features
- Support **Entity reference** fields (such as nodes, taxonomy terms, etc.)
- Support **Entity Reference Revisions** fields
(such as [Paragraphs](https://www.drupal.org/project/paragraphs))

## Requirements
- [Slick Carousel](https://www.drupal.org/project/slick)
- [Entity Reference Revisions](https://www.drupal.org/project/entity_reference_revisions)
(optional)

## Installation and configuration
1. Install the module as usual
2. Change the display format of the desired entity reference field
to "Slick carousel"
3. That's it, enjoy!

## Similar modules
- [Slick Paragraphs](https://www.drupal.org/project/slick_paragraphs)

## Maintainer
- David Pacassi Torrico ([dpacassi](https://www.drupal.org/u/dpacassi))

## Credits
- [Liip](https://www.drupal.org/liip):
Initial development
- [Pacassi Webdesign & Development](https://www.drupal.org/pacassi-webdesign-development):
Module maintenance and support
